%define   _fontdir  %{_datadir}/fonts/TTF/japanese-ipamona
%define   srcname   opfc-ModuleHP
%define   srcver    1.1.1
%define   font_ver  1.0.8
%define   postfix   _withIPAMonaFonts

Name:     fonts-ttf-japanese-ipamona
Summary:  IPA Mona fonts (IPA Mona Mincho/Gothic/UI Gothic)
Summary(ja):  IPA モナーフォント (IPA モナー 明朝/ゴシック/UIゴシック)
Version:  20080427
Release:  %mkrel 2
License:  IPA Font License
Group:    System/Fonts/True type
URL:      http://www.geocities.jp/ipa_mona/
Source0:  %{srcname}-%{srcver}%{postfix}-%{font_ver}.tar.lzma
Source1:  fonts-ttf-japanese-ipamona_fonts.dir
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  xz
Requires(post):   fontconfig
Requires(postun): fontconfig
Obsoletes:  fonts-ttf-ipamona
Provides:   ipamona


%description
This package contains monafonts based on IPA Japanese TrueType Fonts.

This package contains the following fonts,
 - IPA Mona Mincho/PMincho
 - IPA Mona Gothic/PGothic
 - IPA Mona UI Gothic

The IPA monafonts should be redistributed with HP Vector Driver for
Open Printing System.


%description -l ja
IPA の日本語 TrueType フォントをベースにしたモナーフォントです。

このパッケージには、以下のフォントが含まれています。
 - IPA モナー 明朝/P明朝
 - IPA モナー ゴシック/Pゴシック
 - IPA モナー UIゴシック

IPA フォントのライセンスに基づき、オープンプリンティングシステム用
HP Vector Driver に同梱してパッケージされています。


%prep
%setup -q -n %{srcname}-%{srcver}%{postfix}-%{font_ver}

%build
pushd fonts
mv ipag-mona.ttf IPAMonaGothic.ttf
mv ipagp-mona.ttf IPAMonaPGothic.ttf
mv ipagui-mona.ttf IPAMonaUIGothic.ttf
mv ipam-mona.ttf IPAMonaMincho.ttf
mv ipamp-mona.ttf IPAMonaPMincho.ttf
popd

mkdir -p tmp
pushd tmp
  tar -xaf %{SOURCE0}
  rm -rf %{srcname}-%{srcver}%{postfix}-%{font_ver}/fonts
  mv %{srcname}-%{srcver}%{postfix}-%{font_ver} %{srcname}-%{srcver}
  tar -caf ../%{srcname}-%{srcver}-without-ipamonafonts.tar.xz %{srcname}-%{srcver}
popd


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 fonts/*.ttf $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_fontdir}/fonts.dir
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_fontdir}/fonts.scale

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} \
    $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-ipamona:pri=50


%clean
rm -rf $RPM_BUILD_ROOT

%post
fc-cache

%postun
fc-cache

%files
%defattr(-,root,root)
%doc fonts/COPYING.font.ja fonts/README_ipamona.txt
%doc fonts/doc/*
%doc %{srcname}-%{srcver}-without-ipamonafonts.tar.xz
%{_fontdir}/*.ttf
%{_fontdir}/fonts.dir
%{_fontdir}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-japanese-ipamona:pri=50

%changelog
* Tue Apr 09 2019 tex - 20080427-2pclos2019
- rebuild against updates

* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 20080427-1pclos2013
- 20080427

* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 20060712-11pclos2013
- rebuild on 64

* Wed Sep 23 2009 pcserver <pcserver at hushmail.com>
- update & rebuild
